## Index

### Enumerations

- PartitionBrokerRole
- ResourceType

### Classes

- BpmnParser
- ZBClient
- ZBLogger
- ZBWorker

### Interfaces

- ActivateJobsRequest
- ActivateJobsResponse
- ActivatedJob
- BrokerInfo
- CompleteFn
- CompleteJobRequest
- CreateWorkflowInstanceRequest
- CreateWorkflowInstanceResponse
- DeployWorkflowRequest
- DeployWorkflowResponse
- FailJobRequest
- GetWorkflowRequestWithBpmnProcessId
- GetWorkflowRequestWithWorkflowKey
- GetWorkflowResponse
- Job
- JobHeaders
- KeyedObject
- ListWorkflowResponse
- Partition
- PublishMessageRequest
- PublishStartMessageRequest
- SetVariablesRequest
- TopologyResponse
- UpdateJobRetriesRequest
- WorkflowMetadata
- WorkflowRequestObject
- ZBClientOptions
- ZBWorkerLoggerOptions
- ZBWorkerOptions

### Type aliases

- ConnectionErrorHandler
- GetWorkflowRequest
- Loglevel
- ZBWorkerTaskHandler

### Variables

- idColors

### Functions

- parsePayload
- parseVariables
- stringifyPayload
- stringifyVariables

## Type aliases

### ConnectionErrorHandler

ConnectionErrorHandler: function

- Defined in lib/interfaces.ts:36

#### Type declaration

- - (error: any): void

  - #### Parameters

    - ##### error: any

    #### Returns void

### GetWorkflowRequest

GetWorkflowRequest: GetWorkflowRequestWithBpmnProcessId | GetWorkflowRequestWithWorkflowKey

- Defined in lib/interfaces.ts:239

### Loglevel

Loglevel: "INFO" | "DEBUG" | "NONE" | "ERROR"

- Defined in lib/interfaces.ts:7

### ZBWorkerTaskHandler

ZBWorkerTaskHandler: function

- Defined in lib/interfaces.ts:15

#### Type declaration

- - (job: Job<WorkerInputVariables, CustomHeaderShape>, complete: CompleteFn<WorkerOutputVariables>, worker: ZBWorker<WorkerInputVariables, CustomHeaderShape, WorkerOutputVariables>): void

  - #### Parameters

    - ##### job: Job<WorkerInputVariables, CustomHeaderShape>

    - ##### complete: CompleteFn<WorkerOutputVariables>

    - ##### worker: ZBWorker<WorkerInputVariables, CustomHeaderShape, WorkerOutputVariables>

    #### Returns void

## Variables

### Const idColors

idColors: (Chalk & object)[] = [chalk.yellow,chalk.green,chalk.cyan,chalk.magenta,chalk.blue,]

- Defined in zb/ZBClient.ts:11

## Functions

### parsePayload

- parsePayload(response: any): any

- - Defined in lib/stringifyPayload.ts:6

  #### Parameters

  - ##### response: any

  #### Returns any

### parseVariables

- parseVariables<T>(response: T): any

- - Defined in lib/stringifyVariables.ts:8

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### response: T

  #### Returns any

### stringifyPayload

- stringifyPayload(request: any): any

- - Defined in lib/stringifyPayload.ts:1

  #### Parameters

  - ##### request: any

  #### Returns any

### stringifyVariables

- stringifyVariables<T>(request: T): any

- - Defined in lib/stringifyVariables.ts:1

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### request: T

  #### Returns any

Generated using TypeDoc